Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.http
Interface Parser

All Known Implementing Classes:
  Ajp13Parser, HttpParser

    public interface Parser

Abstract interface for a connection Parser for use by Jetty.

Method Summary
`boolean` | `isComplete()`
`boolean` | `isIdle()`
`boolean` | `isMoreInBuffer()`
`long` | `parseAvailable()`
`void` | `reset(boolean returnBuffers)`

Method Detail

### reset

    void reset(boolean returnBuffers)

### isComplete

    boolean isComplete()

### parseAvailable

    long parseAvailable()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### isMoreInBuffer

    boolean isMoreInBuffer()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### isIdle

    boolean isIdle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.